
<head>
  <link
    href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css"
    rel="stylesheet"
    integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0"
    crossorigin="anonymous"
  />
</head>
<div class="inicio-body">
  <div class="inicio-content">
    <br /><br />
    <h1>Registro de nuevos conferencistas</h1>
    <br /><br />
    <p>Registrate para participar como conferencista en la XVIII semana Linux de la Universidad Distrital Francisco Jose de Caldas.</p>
  </div>
  <br>
  <div class="btn-registro">
      <a href="https://forms.gle/dbYMXfvgUz33yttu5" target="_blank" rel="noopener">
          Registrate aquí
      </a>
  </div>

</div>
<div class="form">
  <h2 class="tm-25 texto-izquierda">Formulario de registro: <p> Los campos con (<span class="obligatorio">*</span>) son obligatorios.</p></h2>
  <!--<iframe title="Form" class="form" src="https://docs.google.com/forms/d/e/1FAIpQLSeTl0hTkBSiTmfaQiYw1JshbpboqniPenKzWSV7wFNj9ptLwg/viewform?embedded=true" width="640" height="749" style="padding-top: 70px;" frameborder="0" marginheight="0" marginwidth="0">Cargando…</iframe>-->

  <form *ngIf="true" [formGroup]="conferencistaForm" (ngSubmit)="enviarDatos()">
    <br />
    <h4>Informacion personal:</h4>
    <div class="container">
      <div class="item">
        <p><span class="obligatorio">*</span>Nombre Completo : </p>
        <input
          class="formulario-text"
          style="width: 100%"
          type="text"
          placeholder="Escribe tu nombre"
          formControlName="nombreCompleto"
        />
      </div>
      <div class="item">
        <p><span class="obligatorio">*</span>Tipo de Identificación:</p>
        <select
          class="formulario-selecion"
          style="width: 100%"
          name="Identificaciones"
          id=""
          formControlName="tipoIdentificacion"
        >
          <option value="">Seleccione</option>
          <option
            *ngFor="let documento of tipoDocumento"
            [ngValue]="documento.value"
          >
            {{ documento.name }}
          </option>
        </select>
      </div>
      <div class="item">
        <p><span class="obligatorio">*</span>Número de Identificación:</p>
        <input
          class="formulario-id input-form-style"
          style="width: 100%"
          type="number"
          placeholder="Escriba su número de identificación"
          name="Identificacion"
          id=""
          formControlName="numeroIdentificacion"
        />
      </div>
      <div class="item">
        <p><span class="obligatorio">*</span>Dirección de Correo Electrónico:</p>
        <input
          class="formulario-text"
          type="text"
          style="width: 100%"
          placeholder="Escriba su correo electrónico"
          name="email"
          id=""
          formControlName="email"
        />
      </div>
      <div class="item">
        <p><span class="obligatorio">*</span>Perfil Profesional:</p>
        <input
          class="formulario-text"
          type="text"
          style="width: 100%"
          placeholder="Haga una breve descripción de su perfil profesional"
          formControlName="perfilProfesional"
        />
      </div>
      <div class="item">
        <p>Link de Red Social</p>
        <input
          type="text"
          style="width: 100%"
          placeholder="Facebook, Instragram, Linkedin o Twitter"
          formControlName="linkRedSocial"
        />
      </div>
      <div class="item">
        <p>
          <span class="obligatorio">*</span>Número de Celular - Telegram, El número no será publicado, sólo será
          utilizado para ponernos en contanto contigo.
        </p>
        <input
          class="formulario-id input-form-style"
          style="width: 100%"
          type="number"
          placeholder="Escriba su número de celular"
          name=""
          id=""
          formControlName="celular"
        />
      </div>

      <div class="item">
        <p>
            Sube tu foto de perfil para poder añadirlo a la publicidad de este
            evento
          </p><br>


      </div>
      <div class="item">
        <input type="file" name="" id="" (change)="onChangeFileProfile($event)" accept="image/*" />

    </div>
      <br>
    </div>
    <h4>Informacion de la conferencia:</h4>
    <div class="container">
      <p>
        La conferencia debe promover el uso de Software, cultura, tecnología y/o
        ciencia libre; no es obligatorio que esté relacionada con el tema de la
        semana.
      </p>
      <div class="item">
        <p><span class="obligatorio">*</span>Nombre de la Conferencia:</p>
        <input
          type="text"
          style="width: 100%"
          placeholder="Escribe el nombre de la conferencia"
          formControlName="nombreConferencia"
        />
    </div>
    <div class="item">
        <p><span class="obligatorio">*</span>Descripción de la Conferencia:</p>
        <input
          type="text"
          style="width: 100%"
          placeholder="Escribe una breve descripción de la conferencia"
          formControlName="descripcionConferencia"
        />
    </div>
    <p>Día y Hora disponible para dar la conferencia:</p>
    <div class="item">
        <p><span class="obligatorio">*</span>Día :</p>
        <input
          class="form-date"
          type="date"
          style="width: 100%"
          id="start"
          name="trip-start"
          min="2021-08-23"
          max="2021-08-27"
          formControlName="dia"
        />
    </div>
    <div class="item">
        <p><span class="obligatorio">*</span>Hora :</p>
        <select
          class="formulario-selecion"
          name="Hora"
          style="width: 100%"
          id=""
          formControlName="hora"
        >
          <option value="">Seleccione</option>
          <option *ngFor="let hora of horaDisponible" [ngValue]="hora.value">
            {{ hora.name }}
          </option>
        </select>
    </div>
    </div>
    <h4>Requerimientos para dar la conferencia:</h4>
    <div class="container">

    <div class="item">
        <p>
            Como Grupo, queremos que cada conferencista se sienta a gusto y tenga
            los recursos suficientes para llevar a cabo exitosamente su conferencia,<br>
            <span class="obligatorio">*</span>¿cuáles son los recursos que necesita para dar su conferencia?
          </p><br>
          <input
            type="text"
            style="width: 100%"
            placeholder="Escribe una breve descripción de los recursos"
            formControlName="requerimientos"
          />
    </div>
    <p>¿Está interesado en patrocinar este evento?</p>
    <br>
    <p>
        El Grupo GNU/Linux (GLUD) es un Grupo de estudiantes, quienes buscan
        promover la ciencia, cultura, tecnología y software libre mediante
        proyectos como Semana Linux y otros que pueden verse en cada
        repositorio:
        <a href="https://github.com/GLUD">https://github.com/GLUD</a>; dado que
        hacemos parte de la académica, actualmente no contamos con los recursos
        suficientes para patrocinar esta semana. Así, estaríamos muy agradecidos
        con usted o con su empresa ante una colaboración (como participación
        como conferencista o patrocinio), lo cual se verá reflejado en la
        publicidad que haremos durante el evento de su empresa.
      </p>
    <div class="item">
        <br>
        <div class="radio-gruop">
            <label class="radio">
              <input
                type="radio"
                style="width: 100%"
                name="patrocinador"
                [value]="true"
                formControlName="patrocinador"
              />
              Sí, permito que el Grupo GLUD mediante
              <a href="mailto:glud@udistrital.edu.co">glud@udistrital.edu.co</a> se
              ponga en contacto conmigo para este fin.
              <span></span>
            </label>
            <br>
            <label class="radio">
              <input
                type="radio"
                style="width: 100%"
                name="patrocinador"
                [value]="false"
                formControlName="patrocinador"
                checked
              />
              No, solo daré mi conferencia.
              <span></span>
            </label>
          </div>
          <br>
    </div>
    <div class="item">
        <p>
            ¿Perteneces a una organización? Sube el logo de tu organización para
            poder añadirlo a la publicidad de este evento
          </p><br>
          <p>
            ¡Gracias por inscribirte! Incluiremos el logo de tu empresa (u
            organización a la que pertenezcas) a la publicidad de nuestro evento
            como agradecimiento. (Preferiblemente en formato .svg o .png).
          </p>
    </div>
    <div class="item">
        <input type="file"  name="" id="" (change)="onChangeFile($event)" accept="image/*" />
    </div>


    </div>
      <h4>Comentarios:</h4>
      <p>
        ¿Tienes alguna pregunta? Aquí puedes dejarnos tus dudas o comentarios.
      </p>
      <textarea
        placeholder="Envía tus comentarios"
        formControlName="comentarios"
      ></textarea>


    <div class="center">
      <button class="form-enviar" type="submit">Enviar</button>
    </div>
  </form>
  <br />
  <div class="invitacion">
    <h1>
      SLUD XVIII 2021 - CIENCIA Y SOFTWARE LIBRE<br />
      TE ESPERAMOS.
    </h1>
    <br />
    <img width="200px" height="200px" src="/assets/GLUD_LOGO.svg" />
    <br /><br />
  </div>
</div>

